Bug 445140 - Review Request: lxtask - Lightweight and desktop independent task manager
Review Request: lxtask - Lightweight and desktop independent task manager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks: LXDE
  Show dependency treegraph
 
Reported: 2008-05-04 11:28 EDT by Christoph Wickert
Modified: 2009-06-13 15:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 19:31:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2008-05-04 11:28:11 EDT
Spec URL: http://cwickert.fedorapeople.org/review/lxtask.spec
SRPM URL: http://cwickert.fedorapeople.org/review/lxtask-0.1-1.fc9.src.rpm
Description:
LXTask is a lightweight task manager derived from xfce4 task manager with all
xfce4 dependencies removed, some bugs fixed, and some improvements of the UI.
Although being part of LXDE, the Lightweight X11 Desktop Environment, it's 
totally desktop independent and only requires pure GTK+.
Comment 1 Michel Alexandre Salim 2008-06-03 23:47:07 EDT
Looks fine -- approved. Note that you can drop the version number from the BR on
gtk2-devel; no currently-supported release of Fedora or RHEL has an older GTK+
than the version required.

APPROVED

MUST

• rpmlint: clean
• package name: ok
• spec file name: ok
• package guideline-compliant: ok
• license complies with guidelines: ok
• license field accurate: ok
• license file not deleted: ok
• spec in US English: ok
• spec legible: ok
• source matches upstream: ok
• builds under >= 1 archs, others excluded: ok
• build dependencies complete: 
• locales handled using %find_lang, no %{_datadir}/locale: ok
• own all directories: ok
• no dupes in %files: ok
• permission: ok
• %clean RPM_BUILD_ROOT: ok
• macros used consistently: ok
• Package contains code: ok
• desktop file uses desktop-file-install: ok
• clean buildroot before install: ok
• filenames UTF-8: ok

SHOULD
• desc and summary contain translations if available: no (optional)
• package build in mock on all architectures: ok
  http://koji.fedoraproject.org/koji/taskinfo?taskID=644423
• package functioned as described: ok
• scriplets are sane: ok
• require package not files: ok
Comment 2 Christoph Wickert 2008-06-04 14:16:15 EDT
(In reply to comment #1)
> Note that you can drop the version number from the BR on
> gtk2-devel; no currently-supported release of Fedora or RHEL has an older GTK+
> than the version required.

Right, thanks a lot for the review.

New Package CVS Request
=======================
Package Name: lxtask
Short Description: Lightweight and desktop independent task manager
Owners: cwickert
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-06-04 17:30:40 EDT
cvs done.
Comment 4 Christoph Wickert 2008-06-11 19:31:22 EDT
Packages for all branches have successfully been build. Closing.
Comment 5 Fedora Update System 2008-06-11 19:37:47 EDT
lxtask-0.1-1.fc8 has been submitted as an update for Fedora 8
Comment 6 Fedora Update System 2008-06-11 19:38:52 EDT
lxtask-0.1-1.fc9 has been submitted as an update for Fedora 9
Comment 7 Fedora Update System 2008-06-12 22:21:27 EDT
lxtask-0.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-06-12 22:26:19 EDT
lxtask-0.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Christoph Wickert 2009-05-22 21:47:45 EDT
Package Change Request
======================
Package Name: lxtask
New Branches: EL-4 EL-5
Owners: cwickert
Comment 10 Kevin Fenzi 2009-05-23 01:26:20 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.